{
  nixpkgs,
  treefmtEval,
  system,
  ...
}:
let
  pkgs = nixpkgs.legacyPackages.${system};
  packages = with pkgs; [
    git
    pre-commit
    just
  ];
in
{
  default = pkgs.mkShell {
    inherit packages;
    # nativeBuildInputs = packages;
    inputsFrom = [
      treefmtEval.${pkgs.system}.config.build.devShell
    ];
  };
}
